#!/usr/bin/env python
#from distutils.core import setup

import os
import imp
from setuptools import setup, find_packages
from setup_build import list_packages, list_static_files, get_path_to_wmcore_root

# Obnoxiously, there's a dependency cycle when building packages. We'd like
# to simply get the current WMCore version by using
# from WMCore import __version__
# But PYTHONPATH isn't set until after the package is built, so we can't
# depend on the python module resolution behavior to load the version.
# Instead, we use the imp module to load the source file directly by
# filename.
wmcore_root = get_path_to_wmcore_root()
wmcore_package = imp.load_source('temp_module', os.path.join(wmcore_root,
                                                            'src',
                                                            'python',
                                                            'WMCore',
                                                            '__init__.py'))
wmcore_version = wmcore_package.__version__

setup(name = 'wmagent',
      #version = wmcore_version,
      version = '1.1.15.7',
      maintainer = 'CMS DWMWM Group',
      maintainer_email = 'hn-cms-dmDevelopment@cern.ch',
      package_dir = {'' : 'src/python/'},
      #packages=find_packages('src/python/'),
      packages=list_packages(['src/python/Utils',
                            'src/python/WMCore',
                            'src/python/WMComponent',
                            'src/python/WMQuality',
                            'src/python/PSetTweaks']),
      data_files=list_static_files(),
      install_requires=['SQLAlchemy==0.9.6',
                        'httplib2',
                        'pycurl==7.19.3',
                        'MySQL-python==1.2.5',
                        'cx_Oracle==5.2.1',
                        'Cheetah==2.4.0',
                        'pyOpenSSL==18.0.0',
                        'CherryPy==5.4.0',
                        'dbs-client',
                        'pyzmq',
                        'psutil==5.4.5',
                        'future==0.16',
                        'retry==0.9.1',
                        'stomp.py==4.1.15',
                        'restkit==2.2.1'
                        ],
      url = "https://github.com/dmwm/WMCore",
      )

#setup(name='wmcore',
#      version=wmcore_version,
#      maintainer='CMS DMWM Group',
#      maintainer_email='hn-cms-wmDevelopment@cern.ch',
#      cmdclass={'deep_clean': CleanCommand,
#                'coverage': CoverageCommand,
#                'test': TestCommand,
#                'env': EnvCommand,
#                'build_system': BuildCommand,
#                'install_system': InstallCommand},
#      # base directory for all our packages
#      package_dir={'': 'src/python/'},  # % get_path_to_wmcore_root()},
#      packages=DEFAULT_PACKAGES,
#      data_files=list_static_files(),
#      url="https://github.com/dmwm/WMCore",
#      download_url="https://github.com/dmwm/WMCore/tarball/%s" % wmcore_version
#      )
